adduser (3.157ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153280). Remaining changes:
    - extrausers support for adduser and gpasswd (LP #1323732)
    - Add support for ZFS home directories (LP #1873263)
    - Enable private home directories by default (LP #48734)
      Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf,
      and match those in the check_octal fallback for invalid values.
    Dropped changes:
    - Add support for encrypting home directories (MR: !87)
      (upstreamed in Debian 3.157)
    - Regenerate po4a translation catalogs (build artefacts)

 -- Nadzeya Hutsko <nadzeya@ubuntu.com>  Mon, 13 Jul 2026 13:48:29 +0200

adduser (3.157) unstable; urgency=medium

  [ Marc Haber ]
  * add script that runs the testsuite without autopkgtest
    (Closes: #1101457)
  * add a NOTE to adduser.8 regarding group membership (Closes: #1103776)
  * implement adduser --force-home.
    Thanks to Jeff Hanson (Closes: #472820)
  * Add new Romanian program and man page translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1137603, #1137602)
  * update dutch program translation.
    Thanks to Frans Spiesschaert (Closes: #1118210, #1133696)

  [ Dustin Kirkland ]
  * Add support for encrypting home directories
    * adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
      for the hard work.
    * doc/adduser.8: document the --encrypt-home option
    * debian/control: suggest ecryptfs-utils >= 67-1
    * deluser: remove all of /var/lib/ecryptfs/$user with --remove-home

  [ Mateus Rodrigues de Morais ]
  * Add encrypted home tests with isolation-machine restriction

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 17 Jun 2026 22:36:50 +0200

adduser (3.156) unstable; urgency=medium

  * ignore extra fields at the end of pool file lines
  * streamline log level names. (Closes: #1132881)
  * demote "crontab not found" warning to info
    it is now perfectly normal to run a system that doesn't have cron

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 01 Jun 2026 07:06:57 +0200

adduser (3.155) unstable; urgency=medium

  [ Marc Haber ]
  * remove GROUPHOMES and LETTERHOMES configuration options
  * remove SETGID_HOME configuration option
  * remove deprecated QUOTAUSER configuration option
  * remove debian/tests/f/cronjack.t
    useradd won't allow adding that user name any more
  * Depend on passwd 1:4.19.0-2. Remove cronjack.t test
    (Closes: #1124993)
  * Give chpasswd test values that it will accept (Closes: 1124992)
  * give Matt's work on existing_*_ okay another simplifying brush-up
  * po: Add Georgian translation.
    Thanks to Temuri Doghonadze
  * allow /etc/skel to contain files with UTF-8 file names.
    This moves home dir creation to a new module AdduserCreateHomedir
    Thanks to Mert Ok (Closes: #1125681)
  * copy over find_unused_* functions from upstream testsuites
    (Closes: #1015781)
  * man page improvements for adduser.8.
    Thanks to Bjarni Ingi Gislason (Closes: #1124790)
  * apply correcting patch from #1105900.
    Thanks to Bjarni Ingi Gislason (Closes: #1105900)
  * write test cases to trigger #1125601
  * Updated German man page translation.
    Thanks to Helge Kreutzmann (Closes: #1125135)
  * Updated Portuguese man page and program translation.
    Thanks to Américo Monteiro (Closes: #1118370)
  * Updated Dutch man page translation.
    Thanks to Frans Spiesschaert (Closes: #1118209)

  [ Matt Barry ]
  * Add adduser --unlock [--system] and deluser --lock [--system]
    (Closes: #1008082, #1008083, #1008084)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 28 Mar 2026 10:16:28 +0100

adduser (3.154) unstable; urgency=medium

  * The Happy New Year 2026 Release

  [ Matt Barry ]
  * add --no-copy-skel option (Closes: #1099633)
  * document --no-copy-skel
  * refactor existing_*_ok

  [ Marc Haber ]
  * make deluser --group work as documented.
  * have delgroup reject user-specific command line options.
  * correctly sanitize names in deluser.
    Thanks to Dagfinn Ilmari Mannsåker (Closes: #1109329)
  * update Swedish program and man page translation.
    Thanks to Daniel Nylander <daniel@danielnylander.se>
  * make adduser error out if --system and account has a password
    (Closes: #1099734)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 01 Jan 2026 00:00:10 +0100

adduser (3.153ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130097). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      - adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      - doc/adduser.8: document the --encrypt-home option
      - debian/control: suggest ecryptfs-utils >= 67-1
      - deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
        extrausers support for adduser and gpasswd (LP #1323732)
    - Add support for ZFS home directories (LP #1873263)
    - Enable private home directories by default (LP #48734)
    - Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 04 Nov 2025 11:22:03 +0100

adduser (3.153) unstable; urgency=medium

  [ Marc Haber ]
  * various manual page fixes. Thanks to Bjarni Ingi
    Gislason <bjarniig@simnet.is> (Closes: #1107990, #1105900)
  * move PATH initialization very early in program.
    Thanks to Luca Boccassi (Closes: #1108017)
  * use sanitize_string with replace in find_match.
    Thanks to Rob Browning (Closes: #1112486)

  [ Alexander Golubev ]
  * Some minor messages' fixes.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 14 Sep 2025 13:53:43 +0200

adduser (3.152ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111568).
    Note: This is the first merge done with git-ubuntu. Please upload
    appropriately to keep the rich history with all commits being split.
    Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      This feature got a non-trivial refresh after some refactor upstream.
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP #1323732)
      One feature got dropped in the rebase: updating a user comment with
      --extrausers is now unsupported as the mechanism has changed in Debian,
      and usermod doesn't support --extrausers. An error is raised instead if we
      hit the situation.
    - Add support for ZFS home directories (LP #1873263)
    - Enable private home directories by default (LP #48734)
    - Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    Dropped changes:
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
      Debian now does that by default.
    - Fix testsuite against newer shadow username restrictions
      (LP 2077862, Closes: #1077804)
      Debian fixed the testsuite.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 23 May 2025 12:19:31 +0200

adduser (3.152) unstable; urgency=medium

  * only do very basic sanitization for comment.
    Thanks to Pascal Hambourg, Luca Boccassi and others.
    (Closes: #1104738, #1101678)
  * work around #1104726 in perl

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 06 May 2025 20:25:46 +0200

adduser (3.151) unstable; urgency=medium

  * update Romanian manual page translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1101518)
  * Update German manual page translation.
    Thanks to Helge Kreutzmann (Closes: #1101523)
  * fix commentre, it accidentally allowed "-_ (" to _)
  * update Brazilian Portuguese program translation.
    Thanks to Adriano Rafael Gomes (Closes: #1101702)
  * Update portuguese man page translation.
    Thanks to Américo Monteiro (Closes: #1103635)
  * update dutch man page translation.
    Thanks to Frans Spiesschaert (Closes: #1104314)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 02 May 2025 14:39:56 +0200

adduser (3.150) unstable; urgency=medium

  * unset $ENV{CDPATH}.
    Thanks to John Darrah
  * update Brazilian Portuguese man page translation.
    Thanks to Paulo Henrique de Lima Santana (phls) (Closes: #1101390)
  * use require instead of use, to allow running without perl-modules.
    Thanks to Samuel Thibault (Closes: #1101454)
  * improve autopkgtests

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 28 Mar 2025 14:21:07 +0100

adduser (3.149) unstable; urgency=medium

  * sort find output in skel.t

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Mar 2025 10:40:54 +0100

adduser (3.148) unstable; urgency=medium

  * more improvement of output in skel.t

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Mar 2025 06:51:53 +0100

adduser (3.147) unstable; urgency=medium

  * update German manual page translation.
    Thanks to Helge Kreutzmann (Closes: #1100936)
  * Update Romanian man page translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1100956)
  * extend skel test to give output if it fails.
  * Standards-Version: 4.7.2 (no changes necessary)↲

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 21 Mar 2025 15:13:30 +0100

adduser (3.146) unstable; urgency=medium

  [ Marc Haber ]
  * explicitly unset BASH_ENV.
    Thanks to James Trocknell (Closes: #1100023)
  * make adduser --system --home silent if directory exists (Closes: #1100032)
  * don't truncate log messages in sanitizing.
    Thanks to Andrew Sayers (Closes: #1100707)
  * Better docs regarding adduser --system --home
  * update debian/copyright
  * update translation helper scripts
    Thanks to Maytham Alsudany
  * Update POT and PO files for program translations
  * Update POT file for manpage translations
  * Update Romanian program translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1100600)
  * Update Dutch program and man page translation.
    Thanks to Frans Spiesschaert (Closes: #1100585, #1100586)
  * Update Galician program translation.
    Thanks to Parodper
  * Update Czech program translation.
    Thanks to Miroslav Kure (Closes: #1099934)
  * Add Basque program translation.
    Thanks to Iñaki Larrañaga Murgoitio
  * Update Japanese program translation.
    Thanks to Sadaharu Wakisaka
  * Update French program and man page translations.
    Thanks to Jean-Paul Guillonneau (Closes: #1100089)
  * Update Russian program translation.
    Thanks to Yuri Kozlov (Closes: #1100500)
  * Update Brasilian Portuguese man page translation.
    Thanks to Paulo Henrique de Lima Santana (Closes: #1100552)
  * Update German man page translation.
    Thanks to Helge Kreutzmann (Closes: #1100555)

  [ Grzegorz Kuczynski ]
  * Edit pl.po (translate and fix some format)

  [ Carles Pina i Estany ]
  * Update Catalan translation

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Mar 2025 14:21:26 +0100

adduser (3.145) unstable; urgency=medium

  [ Marc Haber ]
  * reduce perl requirements to 5.36 (bookworm) for upgrades
  * fix a mismatch check in existing_user_status [Matt Barry]
  * re-work explicit --uid tests (Closes: #1099647)
  * fix misdetection of non-system accounts as system accounts
  * add lots of more test cases (Closes: #1099570)
  * get rid of "foo" user name in some of the tests, streamline tests
  * Update German program translation.
    Thanks to Helge Kreutzmann (Closes: #1099678)
  * Update Polish program translation.
    Thanks to Grzegorz Kuczyński
  * Update Japanese program translation.
    Thanks to Sadaharu Wakisaka
  * Update German program translation.
    Thanks to Helge Kreutzmann (Closes: #1099678)
  * Update Portuguese program translation.
    Thanks to Américo Monteiro (Closes: #1099771)

  [ Tianyu Chen ]
  * Update Simplified Chinese program translation.
    Thanks to Tianyu Chen

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 08 Mar 2025 15:28:02 +0100

adduser (3.144) unstable; urgency=medium

  [ Matt Barry ]
  * Clean up system account logic.
    Thanks to Michael Musenbrock and Vincent Lefevre
    (Closes: #1099470, #1099477)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 04 Mar 2025 20:57:13 +0100

adduser (3.143) unstable; urgency=medium

  [ Marc Haber ]
  * Standards-Version: 4.7.1 (no changes neceessary)
  * unset $ENV{"ENV"}
    Thanks to Dan Jacobson (Closes: #1099089)
  * Update Portuguese translation for adduser's manpage.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1099344)
  * don't issue warnings for --home /nonexistent.
    Thanks to Sven Joachim (Closes: #1099073)
  * allow adding system accounts to system groups (Closes: #1099397)

  [ Matt Barry ]
  * refactor existing_*_ok (Closes: #1098922)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Mar 2025 19:38:23 +0100

adduser (3.142) unstable; urgency=medium

  * assume CAP_SYS_ADMIN not present if /proc not accessible.
    Thanks to Chris Hofstaedtler (Closes: #1098711)
  * Salsa CI: Add extra test to validate that 'adduser' can be used.
    Also update salsa-ci.yml template to latest version to have more
    comments and link to docs inline. Thanks to Otto Kekäläinen
  * sanitize target string coming from readlink()

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 25 Feb 2025 09:59:47 +0100

adduser (3.141) unstable; urgency=medium

  * add new autopktest to check adduser basic functionality.
  * README: Document adduser behavior in minimal chroots
  * call textdomain fully qualified. Import function explicitly.
    Thanks to Yuri Konotopov, Christian Weeks (Closes: #1098692, #1098690)
  * only set binmode if Encode is loaded in deluser

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Feb 2025 22:11:35 +0100

adduser (3.140) unstable; urgency=medium

  * update Brazilian Portuguese manpage translation.
    Thanks to Paulo Henrique de Lima Santana (Closes: #1094210)
  * Update Dutch program translation.
    Thanks to Frans Spiesschaert (Closes: #1094496)
  * Update Dutch manpage translation.
    Thanks to Frans Spiesschaert (Closes: #1094497)
  * Add login to test Dependencies
  * allow adduser to run without Encode and I18N::Langinfo installed.
    Thanks to Yves-Alexis Perez, Bastian Germann (Closes: #1098508)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Feb 2025 07:56:20 +0100

adduser (3.139) unstable; urgency=medium


  * improve code rubustness regarding Unicode
  * adapt default regular expressions to new useradd behavior
  * explicitly catch and handle useradd's "invalid user name" exit code
  * more documentation regarding PRECIS Framework
  * more tests against invalid / unwanted user names
  * modernize things
  * update German translation of man page.
    Thanks to Helge Kreutzmann
  * Formatting improvements to manual pages.
    Thanks to Helge Kreutzmann (Closes: 1087703)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Feb 2025 22:01:57 +0100

adduser (3.138) experimental; urgency=medium

  * experimental upload because of so many changes.
  * adduser und deluser can now run with -T, and actually do it.
    Unfortunately, we had to disable some tests to allow this.
    Thanks to Christoph Berg (Closes: #214546)
  * apply patch to allow reserve_{uid|gid}_pool.
    Thanks to Yair Yarom (Closes: #1067845)
  + only call logger --id $$ if SYS_ADMIN capability is present. This
    is related to #1086233. Thanks to Paul Gevers, Peter Colberg,
     Simon McVittie, and Chris Hofstaedtler. (Closes: #1074567)
  * Fix wrongly parenthesized signal handler message.
    Thanks to Tasos Sahanidis <tasos@tasossah.com>
  * add documentation about how to lock and unlock accounts
  * adapt adduser to more strict user name checking now enforced by
    useradd. This unfortunately meant to disable some more of our tests.
  * give --badname to useradd to allow creation of the user
  * tweak valid_username tests for new useradd
    * disable \ user name test
    * disable worst user name test
  * lots of more comments, more debugging, more consistency inside
    the package and between adduser and deluser.
  * put lots of log_info messaes into lower priorities
  * stdoutmsglevel is now warn. This allows adduser --system to be completey
    silent without having to check whether we run from a maintainer script.
  * log level settings now have priority over the deprecated verbose.
  * Standards-Version: 4.7.0 (no changes necessary)

  * Manual pages:
    * Work by Helge Kreutzmann:
      * Fix various trivial issues in man pages.
        Addresses: #1031081
      * bulk change: fix wrong capitalization of "modes"
      * bulk change: fix wrong interpunction in "modes" lines
      * stylistic changes to adduser.8 man page.
      * fix inconsistency GID/ID.
      * use "digits" instead of "numbers"
      * re-word security warning about deluser via sudo.
    * Work by Bjarni Ingi Gislason <bjarnii@simnet.is>:
      * fix some formatting and text issues in manpages.
        (Closes: #1037057)
      * add blank lines between .YS and .SY.
      * add missing .YS
      * add missing whitespace after quotes
      * fix wrong usage of .BR and .IR, move to .B and .I.
      * fix semantic linebreaks for deprecated options.
      * fix missing comma.
    * mention users-and-groups.html in adduser.8.
      Thanks to Karl O. Pinc (Closes: #1051356)
    * various clarifications, re-wording, adaption to
      behavior change and new features.
    * avoid Debian codename in adduser.8 manpage
  * Translations:
    * update portuguese program translation.
      Thanks to Américo Monteiro (Closes: #1051644)
    * Update Portuguese translation of manual pages.
      Thanks to Américo Monteiro (Closes: #1056144, #1040441)
    * Update Catalan translation. Thanks to Carles Pina i Estany.
    * Update dutch program translation.
      Thanks to Frans Spiesschaert (Closes: #1041279)
    * update durch manual package translation.
      Thanks to Frans Spiesschaert (Closes: #1041877)
    * new translation for French manual page.
      Thanks to Jean-Paul Guillonneau (Closes: #1083293)
    * Add new romanian translation for program and man pages.
      Thanks to Remus-Gabriel Chelu (Closes: #1082102)
    * Update German translation of man page
      Thanks to Helge Kreutzmann

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 01 Nov 2024 19:19:54 +0100

adduser (3.137ubuntu2) oracular; urgency=medium

  * Fix testsuite against newer shadow username restrictions
    (LP: #2077862, Closes: #1077804)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 26 Aug 2024 19:00:25 +0200

adduser (3.137ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2026199). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP: #1323732)
    - Add support for ZFS home directories (LP: #1873263)
    - Enable private home directories by default (LP: #48734)
      + Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
  * d/t/ecryptfs: test cases for adduser and deluser with --encrypt-home
  * Removed changes (superseded by Debian):
    - Fixed failing autopkgtests (MR: !89):
      + d/t/f/adduser_system.t: Smart increment of test uid to next available
        value.
      + d/t/f/firstlastuidgid.t: Smart increment of test uid and gid values to
        next available value.
      + d/t/f/firstlastuidgid.t: Changed S4L test group first and last uid
        values to 3xx instead of 4xx to comply with SYS_UID_MAX.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 05 Jul 2023 14:42:39 -0300

adduser (3.137) unstable; urgency=medium

  * get along without perl-modules. Closes: #1039709
  * Update Simplified Chinese translation.
    Thanks to Boyuan Yang

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2023 21:22:23 +0200

adduser (3.136) unstable; urgency=medium

  * do better cleaning of VERSION
  * cut off cversion after first non-digit
  * declare modules with hardcoded version number
  * avoid VERSION, use DVERSION instead

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2023 20:48:01 +0200

adduser (3.135) experimental; urgency=medium

  [ Marc Haber ]
  * logging
    * Add AdduserLogging.pm with new logging code
    * Adapt other code to use new logging code
    * remove obsolete old logging code
  * exit codes
    * Add AdduserRetvalues for unified exit codes
    * Adapt other code the use unified exit codes
  * documentation improvements
  * general code changes
    * Make AdduserCommon.pm a proper module
    * use perl 5.32.0
    * use strict, use warnings, everywhere.
    * various code changes for better readability
    * get rid of bareword file handles
  * make code perlcritic clean
    * string form of eval
    * use three argument open, use variable filehandle
    * use oct()

  [ Mateus Rodrigues de Morais ]
  * Fix failing autopkgtests by smartly incrementing test uids and gids
  * Change test uids to comply with SYS_UID_MAX

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 24 Jun 2023 15:22:08 +0200

adduser (3.134ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2021498). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP: #1323732)
    - Add support for ZFS home directories (LP: #1873263)
    - Enable private home directories by default (LP: #48734)
      + Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
  * d/t/ecryptfs: test cases for adduser and deluser with --encrypt-home
  * Fixed failing autopkgtests (MR: !89):
    - d/t/f/adduser_system.t: Smart increment of test uid to next available
      value.
    - d/t/f/firstlastuidgid.t: Smart increment of test uid and gid values to
      next available value.
    - d/t/f/firstlastuidgid.t: Changed S4L test group first and last uid
      values to 3xx instead of 4xx to comply with SYS_UID_MAX.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 21 Jun 2023 16:38:18 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog adduser`.
